﻿using System;
using AutoComplete;
using AutoComplete.iOS;
using Syncfusion.SfAutoComplete.XForms.iOS;
using Xamarin.Forms;

[assembly: ExportRenderer(typeof(AutoCompleteRenderer), typeof(AutoRenderer))]
namespace AutoComplete.iOS
{
	public class AutoRenderer : SfAutoCompleteRenderer
	{
		public AutoRenderer()
		{
		}

		protected override void OnElementChanged(Xamarin.Forms.Platform.iOS.ElementChangedEventArgs<Syncfusion.SfAutoComplete.XForms.SfAutoComplete> e)
		{
			base.OnElementChanged(e);
			if (Control != null)
			{

				Control.Layer.CornerRadius = 10;
				Control.Layer.BorderWidth = 5;
				Control.ClipsToBounds = true;


			}
		}
	}
}